<?php
session_start();
require('../fpdf/fpdf.php');
require('plantilla_general.php');
require '../../../conexion.php';
require_once('../../../include/sesiones.php');
$com_id=$_GET['com_id'];

$registros=mysqli_query($con,"SELECT * FROM compras where sucursal='$sucursal' and com_id='$com_id' ") or die(mysqli_error($con));
$reg=mysqli_fetch_array($registros);
$com_id=$reg['com_id'];
$proveedor_nombre=utf8_decode($reg['proveedor_nombre']);
$com_n_compra=$reg['com_n_compra'];

$pdf=new PDF_MC_Table();
$pdf->AddPage();
$pdf->SetFont('Arial','',14);
$pdf->AliasNbPages();
//Table with 20 rows and 4 columns

$pdf->Cell(0,10,'COMPRA DE '.$proveedor_nombre. ' N- ' .$com_n_compra,0,1);
    
$pdf->SetFillColor(235,225,215);
$pdf->SetFont('Arial','B',8);
$pdf->Cell(30,4,'CODIGO',1,0,'C',1);
$pdf->Cell(95,4,'NOMBRE',1,0,'C',1);
$pdf->Cell(10,4,'CANT',1,0,'C',1);
$pdf->Cell(20,4,'COSTO',1,0,'C',1);
$pdf->Cell(15,4,'IMP',1,0,'C',1);
$pdf->Cell(20,4,'TOTAL',1,0,'C',1);
$pdf->Ln(); 
$pdf->SetFillColor(255,255,255);

$sumador_total=0;
$sumador_iva=0;
$sumador_descuento=0;
$total_cargo_adicional=0;
$sql=mysqli_query($con, "SELECT * from compra_detalle where compras_com_id='$com_id' and empresa='$empresa'");
while ($row=mysqli_fetch_array($sql))
{
    $comd_referencia=$row['comd_referencia'];
    $comd_nombre=$row['comd_nombre'];
    $comd_cantidad=$row['comd_cantidad'];
    $comd_precio=$row['comd_precio'];
    $comd_iva=$row['comd_iva'];
    $comd_desc_desp_iva=$row['comd_desc_desp_iva'];
    $comd_flete=$row['comd_flete'];
    $cargo_adicional=$comd_flete*$comd_cantidad;
    $precio_total=$comd_precio*$comd_cantidad;
    $iva=($precio_total*$comd_iva)/100;
    $sumador_iva+=$iva;//Sumador
    $sumador_total+=$precio_total;//Sumador
    $total_cargo_adicional+=$cargo_adicional;
    $sumador_descuento+=$comd_desc_desp_iva;

 
    $pdf->Cell(30,4,$comd_referencia,1,0,'C',1);
    $pdf->Cell(95,4,utf8_decode($comd_nombre),1,0,'C',1);
    $pdf->Cell(10,4,utf8_decode($comd_cantidad),1,0,'C',1);
    $pdf->Cell(20,4,number_format($comd_precio,0),1,0,'C',1);
    $pdf->Cell(15,4,number_format($iva,0),1,0,'C',1);
    $pdf->Cell(20,4,number_format($precio_total,0),1,0,'C',1);
    $pdf->Ln(); 

}

           
$pdf->Output();
?>